@import '../../variables.scss';

.review-card {
  width: 11.5rem;
  background-color: $bia-white;
  box-shadow: $box-shadow;
  white-space: normal;
  border: none;

  &__header {
    height: 2rem;
  }

  &__profile {
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
  }

  &__name {
    font-size: $text-sm;
    line-height: $text-lg;
    font-weight: 500;

    &-container {
      flex: 1;
    }
  }

  &__product {
    height: 9rem;
    width: 100%;
    object-fit: cover;
    font-size: 3rem;
  }

  &__comment {
    font-size: $text-sm;
    font-family: 'Roboto';
    line-height: $text-lg;
    margin-top: 0.69rem;
  }
}

@media (min-width: $lg) {
  .review-card {
    width: 19.6rem;

    &__header {
      flex: 1;
      height: unset;
    }

    &__name {
      font-weight: 700;
      font-size: $text-md;
      line-height: $text-md;
      margin-bottom: 0.60rem;

      &-container {
        flex: none;
        width: 7.5rem;
        margin-left: 0.87rem;
      }
    }

    &__date {
      font-family: 'Roboto';
      font-weight: 500;
      font-size: $text-xs;
      line-height: $text-xs;
      color: $bia-gray-light;
    }

    &__product {
      width: 6rem;
      height: 6rem;
    }

    &__comment {
      font-size: $text-md;
      line-height: 1.25rem;
    }

    .ranking-stars {
      font-size: $text-xl;
    }
  }
}

@media (min-width: $xl) {
  .review-card {
    width: 23.5rem;

    &__name {
      &-container {
        width: 11.5rem;
      }
    }
  }
}
